#pragma once
#include <FFGLSDK.h>

// 2019-07-20 ffgl@subpixels.com
// - Replaced "Ptr" (shared_ptr) parameter members with regular pointers

class FFGLGradients : public Plugin
{
public:
	FFGLGradients();

	//CFreeFrameGLPlugin
	FFResult InitGL( const FFGLViewportStruct* vp ) override;
	FFResult ProcessOpenGL( ProcessOpenGLStruct* pGL ) override;
	FFResult DeInitGL() override;

private:
	Param* hue1;
	Param* hue2;
	Param* saturation;
	Param* brightness;

	ffglex::FFGLShader shader;   //!< Utility to help us compile and link some shaders into a program.
	ffglex::FFGLScreenQuad quad; //!< Utility to help us render a full screen quad.
};
